package anynt.exercise.settings;


/**
 * It represents the type of inbteraction of the exercise to know when it will be over.
 * The object will wait until it's told to continue.
 * 
 * @author Javier
 * @since 11/04/2011
 */
public class StepByStepWaiting implements StepWaiting
{
	/**
	 * The object will wait until it's told to continue
	 */
	public synchronized void waitStep()
	{
		try
		{
			wait();
		}
		catch (Exception e)
		{
			
		}
	}
	/**
	 * Its told the object to continue
	 */
	public synchronized void nextStep()
	{
		notify();
	}
}