package anynt.object;


import anynt.space.Cell;


/**
 * It represents an object
 * 
 * @author Javier
 * @since 29/03/2011
 */
public class Objeto
{
	// Object attributes
	/**
	 * Name of an object
	 */
	private final String name;
	/**
	 * Cell where the object is located
	 */
	protected Cell location;


	// Constructors
	public Objeto(String name)
	{
		this.name = name;
	}

	// Object overrides
	public boolean equals(Object object)
	{
		return this == object;
	}

	// Treatment of object attributes
	public String getName()
	{
		return name;
	}
	public Cell getLocation()
	{
		return location;
	}
	public void setLocation(Cell newCell)
	{
		location = newCell;
	}
}