package anynt.object.moveController;


import anynt.object.Agent;
import anynt.space.Observation;


/**
 * It represents the interface of a controller that manages which and how many actions will me made
 * 
 * @author Javier
 * @since 31/03/2011
 */
public interface IAgentMoveController
{
	// Object functions
	/**
	 * It returns the actions that the agent will make in the interaction
	 */
	int[] makeAction(Agent agent, Observation observation);
}