package human.AGI;


import java.awt.Dimension;
import java.awt.GridBagLayout;
import java.awt.Insets;

import javax.swing.JPanel;
import javax.swing.JTextArea;


public class ResultsPanel extends JPanel {

	private static final long serialVersionUID = 1L;


	private JTextArea infoArea;
	private long seconds;
	
	/**
	 * This is the default constructor
	 */
	public ResultsPanel(long seconds) {
		super();
		this.seconds = seconds;
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		setSize(500, 300);
		setLayout(new GridBagLayout());
		add(getInfoArea());
		//this.setBackground(Color.WHITE);
	}


	/**
	 * This method initializes infoArea	
	 * 	
	 * @return javax.swing.JTextArea	
	 */
	private JTextArea getInfoArea() {
		if (infoArea == null) {
			infoArea = new JTextArea();
			infoArea.setEditable(false);
			infoArea.setPreferredSize(new Dimension(460, 200));
			infoArea.setMargin(new Insets(10, 10, 10, 10));
			infoArea.setLineWrap(true);
			infoArea.setText("END OF TEST. Thank you!\n\n     Test taken in " + seconds + " seconds.\n     The results will be saved into a data file.");
			infoArea.setBackground(getBackground());
		}
		return infoArea;
	}
}