package anynt.environment.settings;


import anynt.space.Cell;


/**
 * It represents the interface of a reward provider.
 * The provider decides how rewards are shared when some agents are located in the same cell.
 * 
 * @author Javier
 * @since 11/04/2011
 */
public interface RewardsProvider
{
	/**
	 * Returns the reward that is obtained in the cell
	 */
	double providedReward(Cell cell);
}