package exception;


/**
 * Exception that indicates that the searched cell has not been found
 * 
 * @author Javier
 * @since 28/03/2011
 */
@SuppressWarnings("serial")
public class CellNotFoundException extends RuntimeException
{
	// Object attributes
	private Object exceptionCreator;


	// Constructors
	public CellNotFoundException(Object exceptionCreator)
	{
		super();

		this.exceptionCreator = exceptionCreator;
	}

	// Object overrides
	public String toString()
	{
		return exceptionCreator.getClass().getName() + ": " + "The selected cell does not exists";
	}
}