package interfaces;


import javax.swing.JPanel;

import anynt.exercise.Exercise;

import observer.Observer;


@SuppressWarnings("serial")
public abstract class ExercisePanel extends JPanel implements Observer
{
	protected Exercise exercise;


	public void setExercise(Exercise exercise)
	{
		if (this.exercise != null)
			this.exercise.unregisterObserver(this);
		this.exercise = exercise;
		if (exercise != null)
			exercise.registerObserver(this);
	}
}